import { IStore } from '../IStore';

/**
 * TeamStore - IndexedDB ObjectStore definition for teams
 */
export class TeamStore implements IStore {
  static readonly STORE_NAME = 'teams';
  readonly storeName = TeamStore.STORE_NAME;

  create(db: IDBDatabase): void {
    db.createObjectStore(TeamStore.STORE_NAME, { keyPath: 'id' });
  }
}
